/*
 * @Description:
 * @Version: 2.0
 * @Autor: shimnx
 * @Date: 2021-08-12 09:07:44
 * @LastEditors: shimnx
 * @LastEditTime: 2022-07-14 20:44:40
 */
import { Component, OnInit, Inject } from '@angular/core';
import { MAT_SNACK_BAR_DATA } from '@angular/material/snack-bar';
import { MatSnackBar } from '@angular/material/snack-bar';
@Component({
    selector: 'app-snackbar',
    templateUrl: './snackbar.component.html',
    styleUrls: ['./snackbar.component.scss'],
    styles: [`
.example-pizza-party {
color: #fff;
}
`],
})
export class SnackbarComponent implements OnInit {
    constructor(@Inject(MAT_SNACK_BAR_DATA) public data: {
        message: string,
        action: string,
    }, private _snackBar: MatSnackBar) {
        this.data.message = (data as any)!.message
        this.data.action = (data as any)!.action

    }

    ngOnInit() {
    }
    closeAlert() {
        this._snackBar.dismiss()
    }
}
