/*
 * @Description:
 * @Version: 2.0
 * @Autor: shimnx
 * @Date: 2021-11-20 10:51:09
 * @LastEditors: shimnx
 * @LastEditTime: 2021-11-20 10:51:35
 */
import { Injectable } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { Observable } from 'rxjs';

@Injectable({
    providedIn: 'root'
})
export class TeamServiceService {
    private renderSubject: BehaviorSubject<any> = new BehaviorSubject<string>(null);
    public getSubject(): Observable<any> {
        return this.renderSubject;
    }

    public emitInfo(msg: any): void {
        if (msg) {
            this.renderSubject.next(msg)
        }
    }

    constructor() { }
}
