/*
 * @Description:
 * @Version: 2.0
 * @Autor: shimnx
 * @Date: 2021-08-11 15:29:16
 * @LastEditors: shimnx
 * @LastEditTime: 2022-07-14 23:06:12
 */
import { environment } from '@/environments/environment';
import { Component, Injectable, OnInit } from '@angular/core';
/**
 * 接口配置文件
 * baseurl
 * urlList
 */
 @Injectable()
export class apiList implements OnInit {
    baseurl: any = '';
    projectList: any = {};
    constructor() {
        this.baseurl = environment.api;
        this.projectList = {

            'getProjectTaskAssignConfirmInfo': {
                path: '/app/project-cast/get-project-task-assign-confirm-info',
                params: {

                }
            },
            'organizationList': {
                path: '/app/project/organization-list',
                params: {

                }
            },
            'teamList': {
                path: '/app/project/team-list',
                params: {

                }
            },
            'currentUserInfo': {
                path: '/app/app-user/current-user-info/services',
                params: {

                }
            },
            'GetProjectCodeListFilter': {
                path: '/app/Project/GetProjectCodeListFilter',
                params: {

                }
            },
            'GetSelectListByUsername': {
                path: '/app/Project/GetSelectListByUsername',
                params: {

                }
            },
            'GetPackagedProject': {
                path: '/services/app/Project/GetPackagedProject',
                params: {

                }
            },
            'GetEnumList': {
                path: '/services/app/Project/GetEnumList',
                params: {

                }
            },
            'GetCustomerList': {
                path: '/services/app/Project/GetCustomerList',
                params: {

                }
            },
            'AddProject': {
                path: '/services/app/Project/AddProject',
                params: {
                    'projectCode': '',
                    'customerId': '',
                    'name': '',
                    'orderCode': '',
                    'orderDate': '',
                    'investmentCode': '',
                    'quotationCode': '',
                    'budgetWithoutMargin': '',
                    'budgetWithMargin': '',
                    'customerSOP': '',
                    'actualConfirmedPreAcceptance': '',
                    'confirmedPreAcceptance': '',
                    'riskLevel': '',
                    'projectType': '',
                    'projectCategory': '',
                    'monitoringClass': '',
                    'status': '',
                    'qualityStatus': '',
                    'costStatus': '',
                    'deliveryStatus': '',

                    'remainingWorkHourZSD1': '',
                    'remainingWorkHourZSD2': '',
                    'remainingWorkHourZSE': '',
                    'remainingWorkHourZSI': '',
                    'remainingWorkHourZSY': '',
                    'remainingWorkHourZSA': '',
                    'remainingWorkHourZSO': '',
                    'remainingWorkHourZSQ': '',
                    'remainingWorkHourZSX': ''
                }
            },
            'UpdateProject': {
                path: '/services/api/app/Project/',
                params: {
                    'id': '',
                    'projectCode': '',
                    'customerId': '',
                    'name': '',
                    'orderCode': '',
                    'orderDate': '',
                    'investmentCode': '',
                    'quotationCode': '',
                    'budgetWithoutMargin': '',
                    'budgetWithMargin': '',
                    'customerSOP': '',
                    'actualConfirmedPreAcceptance': '',
                    'confirmedPreAcceptance': '',
                    'riskLevel': '',
                    'projectType': '',
                    'projectCategory': '',
                    'monitoringClass': '',
                    'status': '',
                    'qualityStatus': '',
                    'costStatus': '',
                    'deliveryStatus': '',

                    'remainingWorkHourZSD1': '',
                    'remainingWorkHourZSD2': '',
                    'remainingWorkHourZSE': '',
                    'remainingWorkHourZSI': '',
                    'remainingWorkHourZSY': '',
                    'remainingWorkHourZSA': '',
                    'remainingWorkHourZSO': '',
                    'remainingWorkHourZSQ': '',
                    'remainingWorkHourZSX': ''
                },
            },
            'GetProjectById': {
                path: '/services/app/Project/GetProjectById',
                params: {

                }
            },
            'GetAllProjectRole': {
                path: '/app/ProjectRole/GetAllProjectRole',
                params: {

                }
            },
            'GetAllProjectUsersByProjectId': {
                path: '/services/app/ProjectCast/GetAllProjectUsersByProjectId',
                params: {

                }
            },
            'GetAllUsers': {
                path: '/services/app/ProjectCast/GetAllUsers',
                params: {

                }
            },
            'GetAllProjectCastByProjectId': {
                path: '/app/ProjectCast/GetAllProjectCastByProjectId',
                params: {

                }
            },
            'AddProjectCast': {
                path: '/services/app/ProjectCast/AddProjectCast',
                params: {
                    "projectId": "",
                    "roleId": "",
                    "actor": "",
                }
            },
            'DeleteProjectCast': {
                path: '/services/app/ProjectCast/DeleteProjectCast',
                params: {
                    "projectCastId": ''
                }
            },
            'GetProjectUserList': {
                path: '/services/app/ProjectCast/GetProjectUserList',
                params: {
                }
            },
            'GetSequenceAssemblyPlanByProjectId': {
                path: '/app/SequenceAssemblyPlan/GetSequenceAssemblyPlanByProjectId',
                params: {
                }
            },
            'AddSequenceAssemblyPlan': {
                path: '/app/SequenceAssemblyPlan/AddSequenceAssemblyPlan',
                params: {

                }
            },
            'UpdateSequenceAssemblyPlan': {
                path: '/app/SequenceAssemblyPlan/UpdateSequenceAssemblyPlan',
                params: {

                }
            },
            'GetProjectGanttData': {
                path: '/app/ProjectTask/GetProjectGanttData',
                params: {

                }
            },
            'Authenticate': {
                path: '/TokenAuth/Authenticate',
                params: {

                }
            },
            'SaveProjectGantt': {
                path: '/app/ProjectTask/SaveProjectGantt',
                params: {
                    projectId: '',
                    data: ''
                }
            },
            'GetGanttAuth': {
                path: '/app/ProjectTask/GetGanttAuth',
                params: {

                }
            },
            'SaveGanttChange': {
                path: '/app/ProjectTask/SaveGanttChange',
                params: {
                    projectId: '',
                    data: ''
                }
            },
            'GetAllTeam': {
                path: '/app/Team/GetAllTeam',
                params: {

                }
            },
            'DeleteProjectMember': {
                path: '/app/ProjectCast/DeleteProjectMamber',
                params: {

                }
            },
            'GetProjectUsersByProjectId': {
                path: '/services/app/ProjectCast/GetProjectUser',
                params: {
                }
            },
            'deleteProjectMemberConfirmInfo': {
                path: '/app/project-cast/delete-project-member-confirm-info',
                params: {
                }
            },

        }
    }
    ngOnInit() { }
}
