import { Injectable } from '@angular/core';
import { Subject } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class ThemeService {
  theme:string =  'dark'
  private subject = new Subject()
  listen = this.subject.asObservable()
  emit(value:any){
      this.subject.next(value)
  }
  constructor() { }

}
